|  | Home · All Classes · Modules

# QXmlNamePool Class Reference
[QtXmlPatterns module]

The QXmlNamePool class is a table of shared strings referenced by instances of QXmlName. More...

### Methods

- __init__ (self)
- __init__ (self, QXmlNamePool other)

## Detailed Description

The QXmlNamePool class is a table of shared strings referenced by instances of QXmlName.

QXmlNamePool is used to optimize operations on instances of QXmlName. An instance of QXmlName represents an XML name in a way that allows the XML name to be compared and passed around efficiently. The efficiency is achieved by storing the strings comprising the XML names in an instance of QXmlNamePool, where they are mapped to binary identifiers, which are then packed into a key which is stored in the QXmlName.

This means that each instance of QXmlName is tied to the name pool it was created with, and that name pool should be kept in scope and used to create all instances of QXmlName that might be compared. Note also that the name pool is required if you must reconstitute the QXmlName as text, or if you must access any of its component strings, so although instances of QXmlName can be compared without reference to a name pool, the name pool must be kept in scope if the name's strings must be accessed later.

## Method Documentation

### QXmlNamePool.__init__ (self)

Constructs an empty name pool.

### QXmlNamePool.__init__ (self, QXmlNamePool other)

Constructs a copy of the other name pool.